package com.ruoyi.frequency.like.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.frequency.like.entity.Like;
import com.ruoyi.vo.UserVo;
import org.apache.ibatis.annotations.Param;

/**
 * 点赞(新闻,活动)Mapper接口
 * 
 * @author liwenlong
 * @date 2024-04-16
 */
public interface LikeMapper  extends BaseMapper<Like>
{
    /**
     * 查询点赞(新闻,活动)
     * 
     * @param id 点赞(新闻,活动)主键
     * @return 点赞(新闻,活动)
     */
    public Like selectLikeById(Long id);

    /**
     * 查询点赞(新闻,活动)列表
     * 
     * @param like 点赞(新闻,活动)
     * @return 点赞(新闻,活动)集合
     */
    public List<Like> selectLikeList(Like like);

    /**
     * 新增点赞(新闻,活动)
     * 
     * @param like 点赞(新闻,活动)
     * @return 结果
     */
    public int insertLike(Like like);

    /**
     * 修改点赞(新闻,活动)
     * 
     * @param like 点赞(新闻,活动)
     * @return 结果
     */
    public int updateLike(Like like);

    void like(@Param("req") Like like,@Param("userVo") UserVo userVo);
}
